<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Request Fund</title>
</head>
<body>

<section layout:fragment="breadcrumb" class="content-header">
    <h1>
        Request Fund
        <small>List Data</small>
    </h1>
    <ol class="breadcrumb">
        <li class="treeview active"> Transaction</li>
        <li class="active"> Request Fund</li>
    </ol>
</section>

<section layout:fragment="main" class="content">


    <div class="row">
        <div class="col-md-3">
            <a th:href="@{/transaksi/pengajuandana/baru}" class="btn btn-primary btn-block margin-bottom">New Request Fund</a>

            <div class="box box-solid">
                <div class="box-header with-border">
                    <h3 class="box-title">Folders</h3>

                    <div class="box-tools">
                        <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
                        </button>
                    </div>
                </div>
                <div class="box-body no-padding">
                    <ul class="nav nav-pills nav-stacked">
                        <li><a th:href="@{/transaksi/pengajuandana}"><i class="fa fa-inbox"></i>  Current Request
                            <span th:if="${jumlahPengajuanDanaWaiting} > 0" class="label label-warning pull-right" th:text="${jumlahPengajuanDanaWaiting}">12</span></a></li>
                        <li><a th:href="@{/transaksi/pengajuandana/approved}"><i class="fa fa-inbox"></i>  Approved
                            <span th:if="${jumlahPengajuanDanaApproved} > 0" class="label label-success pull-right" th:text="${jumlahPengajuanDanaApproved}">12</span></a></li>
                        <li><a th:href="@{/transaksi/pengajuandana/rejectedlist}"><i class="fa fa-inbox"></i>  Rejected
                            <span th:if="${jumlahPengajuanDanaRejected} > 0" class="label label-danger pull-right" th:text="${jumlahPengajuanDanaRejected}">12</span></a></li>
                        <li><a th:href="@{/transaksi/pengajuandana/disbursment}"><i class="fa fa-inbox"></i>  Ready to Disburse
                            <span th:if="${jumlahDisbursement} > 0" class="label label-primary pull-right" th:text="${jumlahDisbursement}">12</span></a></li>
                        <li><a th:href="@{/transaksi/pengajuandana/already/disbursment}"><i class="fa fa-inbox"></i>  Disbursed Fund
                            <span th:if="${jumlahAlreadyDisbursement} > 0" class="label label-success pull-right" th:text="${jumlahAlreadyDisbursement}">12</span></a></li>
                        <li><a th:href="@{/transaksi/pengajuandana/laporan}"><i class="fa fa-envelope-o"></i> Unreported
                            <span th:if="${jumlahUnreported} > 0" class="label label-danger pull-right" th:text="${jumlahUnreported}">12</span></a></li>
                        <li><a th:href="@{/transaksi/pengajuandana/laporanwaiting}"><i class="fa fa-envelope-o"></i> Reported / Unconfirmed
                            <span th:if="${jumlahReportedWaiting} > 0" class="label label-warning pull-right" th:text="${jumlahReportedWaiting}">12</span></a></li>
                        <li><a th:href="@{/transaksi/pengajuandana/laporanrejected}"><i class="fa fa-envelope-o"></i> Reported / Rejected
                            <span th:if="${jumlahReportedRejected} > 0" class="label label-danger pull-right" th:text="${jumlahReportedRejected}">12</span></a></li>
                        <li><a th:href="@{/transaksi/pengajuandana/closed}"><i class="fa fa-envelope-o"></i> Closed
                            <span th:if="${jumlahClosed} > 0" class="label label-default pull-right" th:text="${jumlahClosed}">12</span></a></li>
                        <li class="active"><a th:href="@{/transaksi/pengajuandana/waitingrefund}"><i class="fa fa-envelope-o"></i> Waiting For Refund
                            <span th:if="${jumlahWaitingRefund} > 0" class="label label-danger pull-right" th:text="${jumlahWaitingRefund}">12</span></a></li>
                        <li><a th:href="@{/transaksi/pengajuandana/refund}"><i class="fa fa-envelope-o"></i> Refund
                            <span th:if="${jumlahRefund} > 0" class="label label-success pull-right" th:text="${jumlahRefund}">12</span></a></li>
                        <li><a th:href="@{/transaksi/pengajuandana/refundclose}"><i class="fa fa-envelope-o"></i> Refund Closed
                            <span th:if="${jumlahRefundClosed} > 0" class="label label-danger pull-right" th:text="${jumlahRefundClosed}">12</span></a></li>

                        <li><a th:href="@{/transaksi/pengajuandana/all}"><i class="fa fa-trash-o"></i> All</a></li>
                    </ul>
                </div>
                <!-- /.box-body -->
            </div>

        </div>
        <!-- /.col -->
        <div class="col-md-9">
            <div class="nav-tabs-custom">
                <ul class="nav nav-tabs">
                    <li class="active"><a href="#waiting" data-toggle="tab">Waiting For Refund</a></li>
                </ul>
                <div class="tab-content">

                    <div class="active tab-pane" id="waiting">
                        <form th:action="@{/transaksi/refund/process2}" method="get">
                        <div class="box-body">
                                <div class="box-body table-responsive no-padding">
                                    <div class="col-md-12" th:each="dataPengembalianDana,row : ${listPengembalianDana}">
                                    <table class="table table-bordered" >
                                        <tr>
                                            <td rowspan="4" width="30px" th:text="${(row.index + 1) + (listPengembalianDana.number * listPengembalianDana.size)}">1.</td>
                                            <td colspan="3" th:text="${'From Request Fund : ' + dataPengembalianDana.getKeteranganPengajuan()}"></td>
                                        </tr>
                                        <tr>
                                            <td align="center">Disburse</td>
                                            <td align="center">Report</td>
                                            <td align="center">Refund</td>
                                        </tr>
                                        <tr>
                                            <td th:text="${'Rp. ' + #numbers.formatDecimal(dataPengembalianDana.getPencairan(), 0, 'POINT', 2, 'COMMA')}" align="right">-</td>
                                            <td th:text="${'Rp. ' + #numbers.formatDecimal(dataPengembalianDana.getJumlahLaporan(), 0, 'POINT', 2, 'COMMA')}" align="right">-</td>
                                            <td th:text="${'Rp. ' + #numbers.formatDecimal(dataPengembalianDana.getPengembalian(), 0, 'POINT', 2, 'COMMA')}" align="right">-</td>
                                        </tr>
                                        <tr>
                                            <td class="a-center ">
                                                <input type="checkbox" th:value="${dataPengembalianDana.getId()}" class="flat-red" name="refund">
                                            </td>
                                            <td colspan="2" align="right">
<!--                                                <a class="btn btn-xs btn-primary" th:href="@{/transaksi/refund/process(refund=${dataPengembalianDana.getId()})}">-->
<!--                                                    Process Refund-->
<!--                                                </a>-->
                                            </td>
                                        </tr>
                                    </table>
                                    </div>
                                </div>
                        </div>

                        <div class="box-footer clearfix">
                            <div class="col-md-2">
                                <div class="box-tools">
                                    <div class="btn-group" th:if="${jumlahWaitingRefund} > 0">
                                        <button type="submit" class="btn btn-danger">
                                            Proses Refund
                                        </button>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-10">
                                <ul class="pagination pagination-sm no-margin pull-right" sd:pagination="full">
                                    <li class="disabled"><a href="#" aria-label="Previous"><span
                                            aria-hidden="true">&laquo;</span></a>
                                    </li>
                                    <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>
                                    </li>
                                </ul>
                            </div>
                        </div>
                        </form>

                    </div>
                    <!-- /.tab-pane -->
                </div>
                <!-- /.tab-content -->
            </div>
            <!-- /.nav-tabs-custom -->

        </div>

    </div>






</section>

<section layout:fragment="footer" class="script">
    <script>
        $(function () {
            //Initialize Select2 Elements
            $('.select2').select2()

            //Datemask dd/mm/yyyy
            $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })
            //Datemask2 mm/dd/yyyy
            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })
            //Money Euro
            $('[data-mask]').inputmask()

            //Date range picker
            $('#reservation').daterangepicker()
            //Date range picker with time picker
            $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})
            //Date range as a button
            $('#daterange-btn').daterangepicker(
                {
                    ranges   : {
                        'Today'       : [moment(), moment()],
                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],
                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],
                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
                    },
                    startDate: moment().subtract(29, 'days'),
                    endDate  : moment()
                },
                function (start, end) {
                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))
                }
            )

            //Date picker
            $('#datepicker').datepicker({
                autoclose: true
            })

            //iCheck for checkbox and radio inputs
            $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({
                checkboxClass: 'icheckbox_minimal-blue',
                radioClass   : 'iradio_minimal-blue'
            })
            //Red color scheme for iCheck
            $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({
                checkboxClass: 'icheckbox_minimal-red',
                radioClass   : 'iradio_minimal-red'
            })
            //Flat red color scheme for iCheck
            $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
                checkboxClass: 'icheckbox_flat-green',
                radioClass   : 'iradio_flat-green'
            })

            //Colorpicker
            $('.my-colorpicker1').colorpicker()
            //color picker with addon
            $('.my-colorpicker2').colorpicker()

            //Timepicker
            $('.timepicker').timepicker({
                showInputs: false
            })
        })
    </script>
    <script>
        $(".js-example-placeholder-single").select2({
            placeholder: "Pilih Salah Satu",
            allowClear: true
        });

        $('.simpan').click(function () {
            Swal.fire({
                position: 'top-end',
                type: 'success',
                title: 'Your work has been saved',
                showConfirmButton: false
            })
        });
    </script>


    <script th:inline="javascript" type="text/javascript">

        function openReservationModal(id) {


            $.ajax({
                url: "/reservations/details/"+id,
                success: function(data) {
                    console.log(data);
                    $("#modalHolder").html(data);
                    $("#reservationModal").modal("show");
                }
            });

        }
    </script>
</section>
</body>
</html>